Raycast world
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
origin?
Ray origin. Omit to start at the bot player's current eye position.
direction?
Ray direction. Omit to use the bot player's current view direction.
maximumDistance?|
includeFluids?boolean
includeEntities?boolean
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/world:raycast" \ -H "Content-Type: application/json" \ -d '{}'{ "block": { "position": { "x": 0, "y": 0, "z": 0, "dimension": "string" }, "blockId": "string", "properties": { "property1": "string", "property2": "string" }, "blockEntity": {}, "biomeId": "string", "skyLight": 0, "blockLight": 0, "hardness": 0.1, "diggable": true, "replaceable": true, "solid": true, "interactive": true, "effectiveToolTags": [ "string" ], "fluid": { "fluidId": "string", "source": true, "height": 0.1 }, "collisionShape": { "boxes": [ { "minimum": { "x": 0.1, "y": 0.1, "z": 0.1 }, "maximum": { "x": 0.1, "y": 0.1, "z": 0.1 } } ] }, "interactionShape": { "boxes": [ { "minimum": { "x": 0.1, "y": 0.1, "z": 0.1 }, "maximum": { "x": 0.1, "y": 0.1, "z": 0.1 } } ] }, "chunkRevision": "string" }, "entity": { "reference": { "connectionEpoch": "string", "networkId": 0, "uuid": "string" }, "entityType": "string", "category": "ENTITY_CATEGORY_UNSPECIFIED", "position": { "x": 0.1, "y": 0.1, "z": 0.1, "dimension": "string" }, "velocity": { "x": 0.1, "y": 0.1, "z": 0.1 }, "rotation": { "yaw": 0.1, "pitch": 0.1, "headYaw": 0.1 }, "boundingBox": { "minimum": { "x": 0.1, "y": 0.1, "z": 0.1 }, "maximum": { "x": 0.1, "y": 0.1, "z": 0.1 } }, "pose": "string", "onGround": true, "displayName": { "plainText": "string", "json": "string" }, "playerName": "string", "health": 0.1, "maxHealth": 0.1, "equipment": { "property1": { "itemId": "string", "count": 0, "maxStackSize": 0, "damage": 0, "maxDamage": 0, "customName": { "plainText": "string", "json": "string" }, "lore": [ { "plainText": "string", "json": "string" } ], "enchantments": [ { "enchantmentId": "string", "level": 0 } ], "food": { "nutrition": 0, "saturationModifier": 0.1, "canAlwaysEat": true, "eatSeconds": 0.1 }, "tool": { "toolTags": [ "string" ], "defaultMiningSpeed": 0.1, "harvestLevel": 0 }, "armor": { "equipmentSlot": "string", "defense": 0, "toughness": 0.1, "knockbackResistance": 0.1 }, "components": {}, "customDataNbt": "string", "fingerprint": "string", "potion": { "potionId": "string", "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "color": 0 } }, "property2": { "itemId": "string", "count": 0, "maxStackSize": 0, "damage": 0, "maxDamage": 0, "customName": { "plainText": "string", "json": "string" }, "lore": [ { "plainText": "string", "json": "string" } ], "enchantments": [ { "enchantmentId": "string", "level": 0 } ], "food": { "nutrition": 0, "saturationModifier": 0.1, "canAlwaysEat": true, "eatSeconds": 0.1 }, "tool": { "toolTags": [ "string" ], "defaultMiningSpeed": 0.1, "harvestLevel": 0 }, "armor": { "equipmentSlot": "string", "defense": 0, "toughness": 0.1, "knockbackResistance": 0.1 }, "components": {}, "customDataNbt": "string", "fingerprint": "string", "potion": { "potionId": "string", "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "color": 0 } } }, "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "attributes": [ { "attributeId": "string", "baseValue": 0.1, "value": 0.1, "modifiers": [ { "id": "string", "amount": 0.1, "operation": "string" } ] } ], "vehicle": { "connectionEpoch": "string", "networkId": 0, "uuid": "string" }, "passengers": [ { "connectionEpoch": "string", "networkId": 0, "uuid": "string" } ], "owner": { "connectionEpoch": "string", "networkId": 0, "uuid": "string" }, "target": { "connectionEpoch": "string", "networkId": 0, "uuid": "string" }, "item": { "itemId": "string", "count": 0, "maxStackSize": 0, "damage": 0, "maxDamage": 0, "customName": { "plainText": "string", "json": "string" }, "lore": [ { "plainText": "string", "json": "string" } ], "enchantments": [ { "enchantmentId": "string", "level": 0 } ], "food": { "nutrition": 0, "saturationModifier": 0.1, "canAlwaysEat": true, "eatSeconds": 0.1 }, "tool": { "toolTags": [ "string" ], "defaultMiningSpeed": 0.1, "harvestLevel": 0 }, "armor": { "equipmentSlot": "string", "defense": 0, "toughness": 0.1, "knockbackResistance": 0.1 }, "components": {}, "customDataNbt": "string", "fingerprint": "string", "potion": { "potionId": "string", "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "color": 0 } }, "alive": true, "metadata": {}, "ageTicks": 0, "tamed": true }, "hitPosition": { "x": 0.1, "y": 0.1, "z": 0.1, "dimension": "string" }, "blockFace": "BLOCK_FACE_UNSPECIFIED", "distance": 0.1}How is this page?
